Change in openbsc[master]: doc/manuals: integrate into this repository

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

osmith gerrit-no-reply at lists.osmocom.org
Thu Nov 29 09:44:12 UTC 2018


osmith has uploaded this change for review. ( https://gerrit.osmocom.org/11999


Change subject: doc/manuals: integrate into this repository
......................................................................

doc/manuals: integrate into this repository

Update .gitignore and make the manuals build without a toplevel
configure.ac file from autotools:

$ cd doc/manuals
$ make

Related: OS#3385
Change-Id: I0036ad8dbecd23695305ac491c7ee87caa44c7f9
---
M .gitignore
R doc/manuals/Makefile
A doc/manuals/osmo-gsm-manuals-dir.sh
3 files changed, 39 insertions(+), 6 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/openbsc refs/changes/99/11999/1

diff --git a/.gitignore b/.gitignore
index 89bf7df..0933d40 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1 +1,12 @@
 debian/*.log
+
+# manuals
+doc/manuals/*.html
+doc/manuals/*.svg
+doc/manuals/*.pdf
+doc/manuals/*__*.png
+doc/manuals/*.check
+doc/manuals/generated/
+doc/manuals/osmomsc-usermanual.xml
+doc/manuals/common
+doc/manuals/build
diff --git a/doc/manuals/Makefile.am b/doc/manuals/Makefile
similarity index 65%
rename from doc/manuals/Makefile.am
rename to doc/manuals/Makefile
index 3735c5b..b7e2076 100644
--- a/doc/manuals/Makefile.am
+++ b/doc/manuals/Makefile
@@ -1,9 +1,5 @@
-OSMO_GSM_MANUALS_DIR = $(top_srcdir)
-EXTRA_DIST = osmonitb-usermanual.adoc \
-	osmonitb-usermanual-docinfo.xml \
-	osmonitb-vty-reference.xml \
-	chapters \
-	vty
+OSMO_GSM_MANUALS_DIR := $(shell ./osmo-gsm-manuals-dir.sh)
+srcdir=$(CURDIR)
 
 ASCIIDOC = osmonitb-usermanual.adoc
 ASCIIDOC_DEPS = $(srcdir)/chapters/*.adoc
diff --git a/doc/manuals/osmo-gsm-manuals-dir.sh b/doc/manuals/osmo-gsm-manuals-dir.sh
new file mode 100755
index 0000000..f132eaa
--- /dev/null
+++ b/doc/manuals/osmo-gsm-manuals-dir.sh
@@ -0,0 +1,26 @@
+#!/bin/sh -e
+# Find OSMO_GSM_MANUALS_DIR and print it to stdout. Print where it was taken from to stderr.
+
+# Find it in env, pkg-conf and ../../../osmo-gsm-manuals
+RET="$OSMO_GSM_MANUALS_DIR"
+if [ -n "$RET" ]; then
+	RET="$(realpath $RET)"
+	echo "OSMO_GSM_MANUALS_DIR: $RET (from env)" >&2
+else
+	RET="$(pkg-config osmo-gsm-manuals --variable=osmogsmmanualsdir 2>/dev/null || true)"
+	if [ -n "$RET" ]; then
+		echo "OSMO_GSM_MANUALS_DIR: $RET (from pkg-conf)" >&2
+	else
+		RET="$(realpath $(realpath $(dirname $0))/../../../osmo-gsm-manuals)"
+		echo "OSMO_GSM_MANUALS_DIR: $RET (fallback)" >&2
+	fi
+fi
+
+# Print the result or error message
+if [ -d "$RET" ]; then
+	echo "$RET"
+else
+	echo "ERROR: OSMO_GSM_MANUALS_DIR does not exist!" >&2
+	echo "Install osmo-gsm-manuals or set OSMO_GSM_MANUALS_DIR." >&2
+	exit 1
+fi

-- 
To view, visit https://gerrit.osmocom.org/11999
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: openbsc
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I0036ad8dbecd23695305ac491c7ee87caa44c7f9
Gerrit-Change-Number: 11999
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20181129/d2dc81bb/attachment.htm>


More information about the gerrit-log mailing list